package com.tencent.mm.plugin.topstory.ui.video.list;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.protocal.protobuf.chw;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.List;

public final class e extends com.tencent.mm.plugin.topstory.ui.video.e {
    boolean sGI;
    boolean sGJ;
    boolean sGP;
    h sGQ;

    public e(b bVar) {
        super(bVar);
    }

    public final void j(List<chw> list, boolean z) {
        AppMethodBeat.i(2031);
        super.j(list, z);
        al.d(new 1(this, list, z));
        AppMethodBeat.o(2031);
    }

    public final int FG(int i) {
        AppMethodBeat.i(2032);
        if (bo.ek(((b) this.sDo).cGg().FL(i - getHeadersCount()).wiH)) {
            AppMethodBeat.o(2032);
            return 0;
        }
        AppMethodBeat.o(2032);
        return 1;
    }
}
